<div class="d-flex flex-column">
    <i class="material-icons ml-auto mt-3 pointer" ng-click="$ctrl.print()"style="font-size: 40px;">print</i>
</div>
<div id="printable-element">
    <div class="bio-generic-card mt-3">
        <div class="px-3 pt-3 mb-2">
            <div style="margin-bottom: 5px;">
                <label class="bm-label-24"><b>Lab Request Form</b></label>
                <img class="pt-1 float" src="https://iq.biomarking.com/images/biomark-logo.png" style="height: 43px;"
                    alt="">
            </div>
        </div>
        <div class="border-bottom"></div>
        <div class="row no-gutters">
            <div class="col-7">
                <div class="px-3 pt-3">
                    <div class="form-group">
                        <div class="bm-label-14 fontMukta"><b>PATIENT DETAILS</b> </div>
                    </div>
                </div>

                <div class="px-3">
                    <div class="d-flex flex-row mb-3">
                        <div class="column">
                            <div class="bm-label-12 bluey-grey mb-1"><b>Name</b> </div>
                            <div class="bm-label-16">
                                <div class="bm-label-16">RAMEL CABUG-OS</div>
                            </div>
                        </div>
                        <div style="padding-left: 10px;">
                            <div class="bm-label-12 bluey-grey mb-1"><b>NRIC no. / Passport No.</b> </div>
                            <div class="bm-label-16">ID-2021-0002</div>
                        </div>
                    </div>
                </div>
                <div class="px-3">
                    <div class="d-flex flex-row mb-3 justify-content-lg-between">
                        <div class="column">
                            <div class="bm-label-12 bluey-grey mb-1"><b>Date of Birth (DD-MM-YYYY)</b> </div>
                            <div class="bm-label-16"> 06-07-1988</div>
                        </div>
                        <div>
                            <div class="bm-label-12 bluey-grey mb-1"><b>Age [Y]</b> </div>
                            <div class="bm-label-16">31</div>
                        </div>
                        <div style="padding-left: 10px;">
                            <div class="bm-label-12 bluey-grey mb-1"><b>Gender</b> </div>
                            <div class="bm-label-16">Male</div>
                        </div>
                        <div style="padding-left: 65px;">
                            <div class="bm-label-12 bluey-grey mb-1"><b>Mobile Number</b> </div>
                            <div class="bm-label-16">+639959801216</div>
                        </div>
                    </div>
                </div>

                <div class="border-bottom"></div>

                <div class="px-3 pt-3">
                    <div class="form-group">
                        <div class="bm-label-14 fontMukta"><b>SPECIMEN COLLECTION</b> </div>
                    </div>
                </div>

                <div class="px-3">
                    <div class="d-flex flex-row mb-3">
                        <div class="column">
                            <div class="bm-label-12 bluey-grey mb-1"><b>Date (DD-MM-YYYY)</b> </div>
                            <div class="bm-label-16">02-07-2021</div>
                        </div>
                        <div style="padding-left: 10px;">
                            <div class="bm-label-12 bluey-grey mb-1"><b>Time</b> </div>
                            <div class="bm-label-16">11:00 AM</div>
                        </div>

                    </div>
                </div>

                <div class="px-3">
                    <div class="d-flex flex-row mb-3">
                        <div class="column">
                            <div class="bm-label-12 bluey-grey mb-1"><b>Specimen</b> </div>
                            <div class="bm-label-16">{{(!vm.order.not_fasting) ? "Fasting":"Non Fasting"}}</div>
                        </div>
                        <div style="padding-left: 10px;">
                            <div class="bm-label-12 bluey-grey mb-1"><b>Specimen Type</b> </div>
                            <div class="bm-label-16 d-flex flex-row flex-wrap">
                                <div ng-repeat="a in [1]">Blood, Urine</div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="border-bottom"></div>

                <div class="px-3 pt-3">
                    <div class="form-group">
                        <div class="bm-label-14 fontMukta"><b>TEST REQUESTS</b> </div>
                    </div>
                </div>

                <div class="d-flex flex-row flex-wrap bm-label-12 align-items-center px-3 dark-grey-blue">
                    <div class="d-flex flex-row align-items-center flex-wrap">
                        <div class="capsule mr-2 mb-2"
                            ng-repeat="a in [{test_code:'Urine FEME'},{test_code:'Urine Culture'}]">{{a.test_code}}
                        </div>
                    </div>
                </div>
                <div class="px-3">
                    <div class="bm-label-12 d-flex flex-row flex-wrap">
                        <div ng-repeat="a in vm.test_requirement">{{a}}{{($last ? '':', ')}} </div>
                    </div>
                </div>
                <div class="mb-3"></div>
            </div>
            <div class="col-5">
                <div class="border-frame">
                    <div class="pt-3 px-3">
                        <div class="form-group">
                            <div class="bm-label-14 fontMukta"><b>DOCTOR’S NAME, ADDRESS & CLINIC STAMP</b> </div>
                        </div>
                    </div>
                    <div class="px-3">
                        <div class="bm-label-12 mb-1"><b>Ramel Cabug-os , Ramel PH Clinic</b></div>
                        <div class="bm-label-12 mb-1">BLock 10 Lot 1 Witholding St. BIR Village West Fairview QC, PH
                        </div>
                    </div>
                    <div style="height: 150;"></div>
                    <!-- <div class="border-bottom pt-3"></div> -->
                    <!-- <div class="pt-3 px-3">
                        <div class="form-group">
                            <div class="bm-label-14 fontMukta"><b>FOR LAB USE</b> </div>
                        </div>
                    </div>
                    <div class="px-3">
                        <div class="bm-label-12 mb-1">Secondary Client: <b>BMK96</b></div>
                        <div class="bm-label-12 mb-1">Secondary Ref Doctor: <b>RML006</b></div>
                    </div> -->
                    <div ng-if="vm.order.is_urgent">
                        <div class="border-bottom pt-3"></div>
                        <div class="pt-3 px-3">
                            <div class="form-group">
                                <div class="bm-label-14 fontMukta"><b>URGENT REMARKS</b> </div>
                            </div>
                        </div>
                        <div class="px-3">
                            <div class="bm-label-12 mb-1" style="overflow: hidden;word-wrap: break-word;">
                                {{vm.order.urgent_remark}}</div>
                        </div>
                    </div>
                    <div class="border-bottom pt-3"></div>
                    <div class="pt-3 px-3">
                        <div class="form-group">
                            <div class="bm-label-14 fontMukta"><b>CLINICAL INDICATION[S]</b> </div>
                        </div>
                    </div>
                    <div class="px-3">
                        <div class="bm-label-12 mb-1" style="overflow: hidden;word-wrap: break-word;">
                            {{vm.order.medical_notes || "N/A"}}</div>
                    </div>
                    <div class="border-bottom pt-3"></div>

                    <div class="pt-3 px-3">
                        <div class="form-group">
                            <div class="bm-label-14 fontMukta"><b>MEDICAL NOTES</b> </div>
                        </div>
                    </div>
                    <div class="px-3">
                        <div class="bm-label-12 mb-1" style="overflow: hidden;word-wrap: break-word;">
                            {{vm.order.clinical_indications || "N/A"}}</div>
                    </div>

                    <div class="border-bottom pt-3"></div>
                    <div class="px-3 pt-3">
                        <div class="d-flex flex-row mb-1">
                            <div style="width: 100px;">
                                <div class="bm-label-12 mb-3"><b>BARCODE</b> </div>
                                <div class="bm-label-12">{{vm.order_data.date | date:'dd-MM-yyyy'}}</div>
                            </div>
                            <div style="padding-left: 10px;">
                                <!-- <div class="d-flex flex-row align-items-center alert alert-success p-0" style="margin-left:10px"> -->
                                <!-- <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24">
                                        <defs>
                                            <linearGradient id="a" x1="0%" y1="50%" y2="50%">
                                                <stop offset="0%" stop-color="#00A79D"/>
                                                <stop offset="100%" stop-color="#2BB673"/>
                                            </linearGradient>
                                        </defs>
                                        <g fill="none" fill-rule="evenodd">
                                            <path d="M3 4h18v18H3z"/>
                                            <path fill="url(#a)" d="M9 .75l-6.75 3v4.5c0 4.162 2.88 8.055 6.75 9 3.87-.945 6.75-4.838 6.75-9v-4.5L9 .75zm-1.5 12l-3-3 1.058-1.057L7.5 10.627l4.943-4.942L13.5 6.75l-6 6z" transform="translate(3 4)"/>
                                        </g>
                                    </svg> -->
                                <!-- <div class="bm-label-10">Electronically Approved. 123aa </div>  -->
                                <!-- </div> -->
                                <div style="width: 206px; margin-top: 10px;">
                                    <svg id="barcode" width="100%"></svg>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>